from odoo import models, fields, api

class SOSMaterialQueryResult(models.TransientModel):
    _name = 'sos_material_stock_report_result'
    _description = 'SOS Material Query Result'

    wizard_id = fields.Many2one('sos_material_stock_report_wizard', string="Wizard")
    part_no = fields.Char(string="Name")
    material_code = fields.Char(string="Material Code")
    inhand_stock_qty = fields.Float(string="In-Hand Stock Qty on Date")
    currency_id = fields.Many2one('res.currency', string='Currency')
    inhand_stock_val = fields.Monetary(string="In-Hand Stock Value", currency_field='currency_id')
